at.chipkarte.client.fdas.soap

## Interface IFdasService

-     public interface IFdasService

  Dieses Service stellt die Funktionalität für die Abfrage frei (d.h. ohne Dialog) verfügbarer Daten ("Freies Datenabfrage-Service") Version 1 zur Verfügung.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BaseProperty[]` | `getBehandlungsfaelle()` Mit dieser Funktion werden alle zurzeit gültigen Behandlungsfälle geliefert.
    `BehandlungsfallZusatzProperty[]` | `getBehandlungsfaelleByFachgebietZusatz(String fachgebietCode)` Diese Funktion liefert alle aktuell gültigen Behandlungsfälle zu einem bestimmten Fachgebiet, sowie eventuell benötigte Zusatzrechte um den Behandlungsfall durchführen zu können.
    `BaseProperty[]` | `getFachgebiete()` Mit dieser Funktion werden alle zurzeit gültigen Fachgebiete geliefert.
    `BaseProperty[]` | `getStaaten()` Mit dieser Funktion werden alle aktuell gültigen Staaten, die am Ordinations-Client mit ISO3166-Alpha3 Format gespeichert sind, geliefert.
    `BaseProperty[]` | `getStaatenISO3166alpha2()` Mit dieser Funktion werden alle aktuell gültigen Staaten, die am Ordinations-Client mit ISO3166-Alpha2 Format gespeichert sind, geliefert.
    `SvtProperty[]` | `getSVTs()` Mit dieser Funktion werden alle zurzeit gültigen Krankenversicherungsträger geliefert.
    `SvtProperty[]` | `getUVTs()` Mit dieser Funktion werden alle zurzeit gültigen Unfallversicherungsträger geliefert.

- - ### Method Detail

    - #### getSVTs

          SvtProperty[] getSVTs()
                         throws ServiceException

      Mit dieser Funktion werden alle zurzeit gültigen Krankenversicherungsträger geliefert.

      Voraussetzung:

      - Online-Status (siehe Online-/Offline-Status).

      Laufzeitgruppe: Kurz

      Returns:
        Array der Krankenversicherungsträger, siehe auch `SvtProperty`
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### getUVTs

          SvtProperty[] getUVTs()
                         throws ServiceException

      Mit dieser Funktion werden alle zurzeit gültigen Unfallversicherungsträger geliefert.

      Voraussetzung:

      - Online-Status (siehe Online-/Offline-Status).

      Laufzeitgruppe: Kurz

      Returns:
        Array der Unfallversicherungsträger, siehe auch `SvtProperty`
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### getFachgebiete

          BaseProperty[] getFachgebiete()
                                 throws ServiceException

      Mit dieser Funktion werden alle zurzeit gültigen Fachgebiete geliefert.

      Voraussetzung:

      - Online-Status (siehe Online-/Offline-Status).

      Laufzeitgruppe: Kurz

      Returns:
        Array der Fachgebiete, siehe auch `BaseProperty`
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### getStaaten

          BaseProperty[] getStaaten()
                             throws ServiceException

      Mit dieser Funktion werden alle aktuell gültigen Staaten, die am Ordinations-Client mit ISO3166-Alpha3 Format gespeichert sind, geliefert.
      Bitte beachten Sie bei den jeweiligen Services mit Staatenangabe welches der ISO3166 Formate bei der jeweiligen Funktion unterstützt wird.

      Voraussetzung:

      - Online-Status (siehe Online-/Offline-Status).

      Laufzeitgruppe: Kurz

      Returns:
        Array der Staaten im Format ISO3166-ALPHA-3 (dreistellige Ländercodes), siehe auch `BaseProperty`
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### getStaatenISO3166alpha2

          BaseProperty[] getStaatenISO3166alpha2()
                                          throws ServiceException

      Mit dieser Funktion werden alle aktuell gültigen Staaten, die am Ordinations-Client mit ISO3166-Alpha2 Format gespeichert sind, geliefert.
      Bitte beachten Sie bei den jeweiligen Services mit Staatenangabe welches der ISO3166 Formate bei der jeweiligen Funktion unterstützt wird.

      Voraussetzung:

      - Online-Status (siehe Online-/Offline-Status).

      Laufzeitgruppe: Kurz

      Returns:
        Array der Staaten im Format ISO3166-ALPHA-2 (zweistellige Ländercodes), siehe auch `BaseProperty`
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### getBehandlungsfaelle

          BaseProperty[] getBehandlungsfaelle()
                                       throws ServiceException

      Mit dieser Funktion werden alle zurzeit gültigen Behandlungsfälle geliefert.

      Voraussetzung:

      - Online-Status (siehe Online-/Offline-Status).

      Laufzeitgruppe: Kurz

      Returns:
        Objekt vom Typ BaseProperty[] - Array der Behandlungsfälle, siehe auch `BaseProperty`
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### getBehandlungsfaelleByFachgebietZusatz

          BehandlungsfallZusatzProperty[] getBehandlungsfaelleByFachgebietZusatz(String fachgebietCode)
                                                                          throws FdasException,
                                                                                 ServiceException

      Diese Funktion liefert alle aktuell gültigen Behandlungsfälle zu einem bestimmten Fachgebiet, sowie eventuell benötigte Zusatzrechte um den Behandlungsfall durchführen zu können.

      Voraussetzung:

      - Online-Status (siehe Online-/Offline-Status).

      Laufzeitgruppe: Kurz

      Parameters:
        `fachgebietCode` - Code des Fachgebiets, für das die gültigen Behandlungsfälle abgefragt werden sollen
      Returns:
        Objekt vom Typ BehandlungsfallZusatzProperty[] - Array der Behandlungsfälle für ein Fachgebiet inklusive benötigtem Zusatzrecht, siehe auch `BehandlungsfallZusatzProperty`
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `FdasException` - `INVALID_FG`